Package com.ocient.jdbc.proto

# Class ClientWireProtocol.ExplainPlan.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExplainPlan.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.ExplainPlan.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.ExplainPlanOrBuilder`, `Cloneable`

Enclosing class:
  ClientWireProtocol.ExplainPlan

    public static final class ClientWireProtocol.ExplainPlan.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExplainPlan.Builder>
    implements ClientWireProtocol.ExplainPlanOrBuilder

Protobuf type `xg.cmdcomp.ExplainPlan`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ClientWireProtocol.ExplainPlan.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`ClientWireProtocol.ExplainPlan` | `build()` |
`ClientWireProtocol.ExplainPlan` | `buildPartial()` |
`ClientWireProtocol.ExplainPlan.Builder` | `clear()` |
`ClientWireProtocol.ExplainPlan.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`ClientWireProtocol.ExplainPlan.Builder` | `clearForce()` | `bool force = 2;`
`ClientWireProtocol.ExplainPlan.Builder` | `clearFormat()` | `.xg.cmdcomp.ExplainFormat format = 3;`
`ClientWireProtocol.ExplainPlan.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`ClientWireProtocol.ExplainPlan.Builder` | `clearSql()` | sql is actually the plan name but this makes the logic easier
`ClientWireProtocol.ExplainPlan.Builder` | `clone()` |
`ClientWireProtocol.ExplainPlan` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`boolean` | `getForce()` | `bool force = 2;`
`ClientWireProtocol.ExplainFormat` | `getFormat()` | `.xg.cmdcomp.ExplainFormat format = 3;`
`int` | `getFormatValue()` | `.xg.cmdcomp.ExplainFormat format = 3;`
`String` | `getSql()` | sql is actually the plan name but this makes the logic easier
`com.google.protobuf.ByteString` | `getSqlBytes()` | sql is actually the plan name but this makes the logic easier
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`ClientWireProtocol.ExplainPlan.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`ClientWireProtocol.ExplainPlan.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`ClientWireProtocol.ExplainPlan.Builder` | `mergeFrom​(ClientWireProtocol.ExplainPlan other)` |
`ClientWireProtocol.ExplainPlan.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`ClientWireProtocol.ExplainPlan.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`ClientWireProtocol.ExplainPlan.Builder` | `setForce​(boolean value)` | `bool force = 2;`
`ClientWireProtocol.ExplainPlan.Builder` | `setFormat​(ClientWireProtocol.ExplainFormat value)` | `.xg.cmdcomp.ExplainFormat format = 3;`
`ClientWireProtocol.ExplainPlan.Builder` | `setFormatValue​(int value)` | `.xg.cmdcomp.ExplainFormat format = 3;`
`ClientWireProtocol.ExplainPlan.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`ClientWireProtocol.ExplainPlan.Builder` | `setSql​(String value)` | sql is actually the plan name but this makes the logic easier
`ClientWireProtocol.ExplainPlan.Builder` | `setSqlBytes​(com.google.protobuf.ByteString value)` | sql is actually the plan name but this makes the logic easier
`ClientWireProtocol.ExplainPlan.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExplainPlan.Builder>`

### clear

public ClientWireProtocol.ExplainPlan.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExplainPlan.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExplainPlan.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.ExplainPlan getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public ClientWireProtocol.ExplainPlan build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public ClientWireProtocol.ExplainPlan buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public ClientWireProtocol.ExplainPlan.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExplainPlan.Builder>`

### setField

public ClientWireProtocol.ExplainPlan.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExplainPlan.Builder>`

### clearField

public ClientWireProtocol.ExplainPlan.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExplainPlan.Builder>`

### clearOneof

public ClientWireProtocol.ExplainPlan.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExplainPlan.Builder>`

### setRepeatedField

public ClientWireProtocol.ExplainPlan.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExplainPlan.Builder>`

### addRepeatedField

public ClientWireProtocol.ExplainPlan.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExplainPlan.Builder>`

### mergeFrom

public ClientWireProtocol.ExplainPlan.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.ExplainPlan.Builder>`

### mergeFrom

public ClientWireProtocol.ExplainPlan.Builder mergeFrom​(ClientWireProtocol.ExplainPlan other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExplainPlan.Builder>`

### mergeFrom

public ClientWireProtocol.ExplainPlan.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.ExplainPlan.Builder>`
Throws:
  `IOException`

### getSql

public String getSql()

    sql is actually the plan name but this makes the logic easier

`string sql = 1;`

Specified by:
  `getSql` in interface `ClientWireProtocol.ExplainPlanOrBuilder`

### getSqlBytes

public com.google.protobuf.ByteString getSqlBytes()

    sql is actually the plan name but this makes the logic easier

`string sql = 1;`

Specified by:
  `getSqlBytes` in interface `ClientWireProtocol.ExplainPlanOrBuilder`

### setSql

public ClientWireProtocol.ExplainPlan.Builder setSql​(String value)

    sql is actually the plan name but this makes the logic easier

`string sql = 1;`

### clearSql

public ClientWireProtocol.ExplainPlan.Builder clearSql()

    sql is actually the plan name but this makes the logic easier

`string sql = 1;`

### setSqlBytes

public ClientWireProtocol.ExplainPlan.Builder setSqlBytes​(com.google.protobuf.ByteString value)

    sql is actually the plan name but this makes the logic easier

`string sql = 1;`

### getForce

public boolean getForce()
`bool force = 2;`

Specified by:
  `getForce` in interface `ClientWireProtocol.ExplainPlanOrBuilder`

### setForce

public ClientWireProtocol.ExplainPlan.Builder setForce​(boolean value)
`bool force = 2;`

### clearForce

public ClientWireProtocol.ExplainPlan.Builder clearForce()
`bool force = 2;`

### getFormatValue

public int getFormatValue()
`.xg.cmdcomp.ExplainFormat format = 3;`

Specified by:
  `getFormatValue` in interface `ClientWireProtocol.ExplainPlanOrBuilder`

### setFormatValue

public ClientWireProtocol.ExplainPlan.Builder setFormatValue​(int value)
`.xg.cmdcomp.ExplainFormat format = 3;`

### getFormat

public ClientWireProtocol.ExplainFormat getFormat()
`.xg.cmdcomp.ExplainFormat format = 3;`

Specified by:
  `getFormat` in interface `ClientWireProtocol.ExplainPlanOrBuilder`

### setFormat

public ClientWireProtocol.ExplainPlan.Builder setFormat​(ClientWireProtocol.ExplainFormat value)
`.xg.cmdcomp.ExplainFormat format = 3;`

### clearFormat

public ClientWireProtocol.ExplainPlan.Builder clearFormat()
`.xg.cmdcomp.ExplainFormat format = 3;`

### setUnknownFields

public final ClientWireProtocol.ExplainPlan.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExplainPlan.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.ExplainPlan.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.ExplainPlan.Builder>`